---
pageClass: rule-details
sidebarDepth: 0
title: vue/block-spacing
description: disallow or enforce spaces inside of blocks after opening block and before closing block in `<template>`
since: v5.2.0
---
# vue/block-spacing

> disallow or enforce spaces inside of blocks after opening block and before closing block in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [block-spacing] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [block-spacing]

[block-spacing]: https://eslint.org/docs/rules/block-spacing

## :rocket: Version

This rule was introduced in eslint-plugin-vue v5.2.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/block-spacing.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/block-spacing.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/block-spacing)</sup>
