---
pageClass: rule-details
sidebarDepth: 0
title: vue/quote-props
description: require quotes around object literal property names in `<template>`
since: v8.4.0
---
# vue/quote-props

> require quotes around object literal property names in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [quote-props] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [quote-props]

[quote-props]: https://eslint.org/docs/rules/quote-props

## :rocket: Version

This rule was introduced in eslint-plugin-vue v8.4.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/quote-props.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/quote-props.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/quote-props)</sup>
